Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface ICodeFormatter

Deprecated. - should use org.eclipse.jdt.core.formatter.CodeFormatter instead (note: options have changed)

public interface ICodeFormatter

Specification for a generic source code formatter. Client plug-ins can contribute an implementation for an ICodeFormatter, through the extension point "org.eclipse.jdt.core.codeFormatter". In case none is found, a default formatter can be provided through the ToolFactory.

Since:
  2.0
See Also:
  `ToolFactory.createCodeFormatter()`, `ToolFactory.createDefaultCodeFormatter(java.util.Map options)`

Method Summary
`String` | `format(String string, int indentationLevel, int[] positions, String lineSeparator)` Deprecated. Formats the String `sourceString`, and returns a string containing the formatted version.

Method Detail

### format

    public String format(String string,
                         int indentationLevel,
                         int[] positions,
                         String lineSeparator)

  Deprecated.
  Formats the String `sourceString`, and returns a string containing the formatted version.

  Parameters:
    `string` - the string to format
    `indentationLevel` - the initial indentation level, used to shift left/right the entire source fragment. An initial indentation level of zero has no effect.
    `positions` - an array of positions to map. These are character-based source positions inside the original source, arranged in non-decreasing order, for which corresponding positions in the formatted source will be computed (so as to relocate elements associated with the original source). It updates the positions array with updated positions. If set to `null`, then no positions are mapped.
    `lineSeparator` - the line separator to use in formatted source, if set to `null`, then the platform default one will be used.
  Returns:
    the formatted output string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.